# Class LocalLoginExtension

Namespace
  adas_core.LocalLogin.RegistrationExtension

Assembly
  adas-core.LocalLogin.dll

Extension class for registering local login services and repositories in the dependency injection container.

    public static class LocalLoginExtension

Inheritance
  object
  LocalLoginExtension

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### AddLocalLogin(IServiceCollection)

Registers the local login services and repositories in the dependency injection container.

    public static void AddLocalLogin(this IServiceCollection serviceCollection)

#### Parameters

`serviceCollection` IServiceCollection

  The service collection to which the services and repositories will be added.